# Contributing to Power Tab Editor

- First time contributing? Read our [Code of Conduct](https://github.com/powertab/powertabeditor/blob/master/CODE_OF_CONDUCT.md).
- Check out the [project overview](https://github.com/powertab/powertabeditor/wiki/Power-Tab-Editor-2.0,-Here-at-last!) to learn more about the project.

## Testing

- Install the latest release from the [downloads page](https://github.com/powertab/powertabeditor/releases)!
- You can report bugs or suggest features on the [issue tracker](https://github.com/powertab/powertabeditor/issues).
- A great way to assist with improving the program is to open tabs that were created in other applications (`.ptb`, `.gpx`, etc) and report any issues with how they are imported, displayed, or play back!.

## Development

- Code contributions are very welcome!
- The [README](https://github.com/powertab/powertabeditor/blob/master/README.md) has instructions for how to set up your development environment.
- You can look through the [issue tracker](https://github.com/powertab/powertabeditor/issues) for some bugs or features that can be worked on, or suggest your own improvements!
  - Feel free to open an issue or a draft pull request if you'd like to get early feedback on some proposed changes, or reach out to the maintainers directly.
- It's encouraged to use our [clang-format](https://github.com/powertab/powertabeditor/blob/master/.clang-format) configuration file to format the code, if it's supported by your editor.
- If your changes are in an area of the codebase that's suitable for unit testing (i.e. not related to audio playback or rendering), it's encouraged to add [unit tests](https://github.com/powertab/powertabeditor/tree/master/test).
